--- inode.c.0	Thu Apr 15 15:46:18 1999
+++ inode.c	Thu Apr 15 16:20:26 1999
@@ -133,11 +133,6 @@
 	sema_init(&inode->i_atomic_write, 1);
 }
 
-static inline void write_inode(struct inode *inode)
-{
-	if (inode->i_sb && inode->i_sb->s_op && inode->i_sb->s_op->write_inode)
-		inode->i_sb->s_op->write_inode(inode);
-}
 
 static inline void sync_one(struct inode *inode)
 {
@@ -153,6 +148,8 @@
 		spin_unlock(&inode_lock);
 
 		write_inode(inode);
+		if (inode->i_sb && inode->i_sb->s_op && inode->i_sb->s_op->write_inode)
+			inode->i_sb->s_op->write_inode(inode);
 
 		spin_lock(&inode_lock);
 		inode->i_state &= ~I_LOCK;
@@ -528,14 +525,6 @@
 	sema_init(&inode->i_sem, 1);
 }
 
-/*
- * This gets called with I_LOCK held: it needs
- * to read the inode and then unlock it
- */
-static inline void read_inode(struct inode *inode, struct super_block *sb)
-{
-	sb->s_op->read_inode(inode);
-}
 
 /*
  * This is called by things like the networking layer
@@ -606,7 +595,7 @@
 		spin_unlock(&inode_lock);
 
 		clean_inode(inode);
-		read_inode(inode, sb);
+		sb->s_op->read_inode(inode);
 
 		/*
 		 * This is special!  We do not need the spinlock
@@ -703,9 +692,8 @@
 				list_del(&inode->i_list);
 				INIT_LIST_HEAD(&inode->i_list);
 				if (op && op->delete_inode) {
-					void (*delete)(struct inode *) = op->delete_inode;
 					spin_unlock(&inode_lock);
-					delete(inode);
+					op->delete_inode(inode);
 					spin_lock(&inode_lock);
 				}
 			}
@@ -812,4 +800,4 @@
     if ( IS_RDONLY (inode) ) return;
     inode->i_atime = CURRENT_TIME;
     mark_inode_dirty (inode);
-}   /*  End Function update_atime  */
+}
